Create User

Adds a user to your organization.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Side effect: Creating a user triggers an invitation email. For organizations using SAML/SSO, a SAML setup email is sent. For standard authentication, a password setup email is sent to the provided email address.

Common next steps after a POST /User/ call:

  • Use the returned Id when assigning this user as a contact on a hierarchy via POST /Hierarchy/ or PUT /Hierarchy/
  • Use the returned Id when linking this user to an agent via POST /Agent/ (UserId field)
Body Params
string
required
length ≥ 1

The first name of the new user you intend to add.

string
required
length ≥ 1

The last name of the new user you intend to add.

string
required
length ≥ 1

The username the new user will sign in with (typically their email).

string
required
length ≥ 1

Email address where the invitation will be sent.

string | null

The phone number you wish to assign to the user.

string | null

Role to assign. Must exactly match a role name returned by GET /Roles/All.

string | null

Your SSO provider's identifier for this user, if applicable.

boolean | null

Set to true to skip email confirmation for the new user.

Responses

400

One or more of the required fields were incorrect or belonged to a user that already exists

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json